org.apache.cassandra.tools

## Class AbstractJmxClient

- java.lang.Object
- - org.apache.cassandra.tools.AbstractJmxClient

All Implemented Interfaces:
  java.io.Closeable, java.lang.AutoCloseable

    public abstract class AbstractJmxClient
    extends java.lang.Object
    implements java.io.Closeable

### Field Summary

Fields
`protected static java.lang.String` `DEFAULT_HOST`
`protected static int` `DEFAULT_JMX_PORT`
`protected java.lang.String` `host`
`protected org.apache.cassandra.tools.JMXConnection` `jmxConn`
`protected java.io.PrintStream` `out`
`protected java.lang.String` `password`
`protected int` `port`
`protected java.lang.String` `username`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJmxClient(java.lang.String host, java.lang.Integer port, java.lang.String username, java.lang.String password)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `addCmdOption(java.lang.String shortOpt, java.lang.String longOpt, boolean hasArg, java.lang.String description)`
`void` `close()`
`static void` `printHelp(java.lang.String synopsis, java.lang.String header)`
`static org.apache.commons.cli.CommandLine` `processArguments(java.lang.String[] args)`
`void` `setOutput(java.io.PrintStream out)`
`void` `write(java.lang.String msg)`
`void` `write(java.lang.String format, java.lang.Object... args)`
`void` `writeln(java.lang.String msg)`
`void` `writeln(java.lang.String format, java.lang.Object... args)`
`void` `writeln(java.lang.Throwable err)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_JMX_PORT

    protected static final int DEFAULT_JMX_PORT

See Also:
  Constant Field Values

#### DEFAULT_HOST

    protected static final java.lang.String DEFAULT_HOST

See Also:
  Constant Field Values

#### host

    protected final java.lang.String host

#### port

    protected final int port

#### username

    protected final java.lang.String username

#### password

    protected final java.lang.String password

#### jmxConn

    protected org.apache.cassandra.tools.JMXConnection jmxConn

#### out

    protected java.io.PrintStream out

### Constructor Detail

#### AbstractJmxClient

    public AbstractJmxClient(java.lang.String host,
                             java.lang.Integer port,
                             java.lang.String username,
                             java.lang.String password)
                      throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### close

    public void close()
               throws java.io.IOException

Specified by:
  `close` in interface `java.io.Closeable`
Specified by:
  `close` in interface `java.lang.AutoCloseable`
Throws:
  `java.io.IOException`

#### writeln

    public void writeln(java.lang.Throwable err)

#### writeln

    public void writeln(java.lang.String msg)

#### write

    public void write(java.lang.String msg)

#### writeln

    public void writeln(java.lang.String format,
                        java.lang.Object... args)

#### write

    public void write(java.lang.String format,
                      java.lang.Object... args)

#### setOutput

    public void setOutput(java.io.PrintStream out)

#### processArguments

    public static org.apache.commons.cli.CommandLine processArguments(java.lang.String[] args)
                                                               throws org.apache.commons.cli.ParseException

Throws:
  `org.apache.commons.cli.ParseException`

#### addCmdOption

    public static void addCmdOption(java.lang.String shortOpt,
                                    java.lang.String longOpt,
                                    boolean hasArg,
                                    java.lang.String description)

#### printHelp

    public static void printHelp(java.lang.String synopsis,
                                 java.lang.String header)